RDCode: DistGeom::FourthDimContrib Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# DistGeom::FourthDimContrib Class Reference

`#include <FourthDimContrib.h>`

Inheritance diagram for DistGeom::FourthDimContrib:

List of all members.

## Public Member Functions
| FourthDimContrib ()
| FourthDimContrib (ForceFields::ForceField *owner, unsigned int idx, double weight)
| Constructor.
double | getEnergy (double *pos) const
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const
| calculate the contribution of this contrib to the gradient at a given state

## Detailed Description

A term used in penalizing chirality violations

Definition at line 14 of file FourthDimContrib.h.

## Constructor & Destructor Documentation

DistGeom::FourthDimContrib::FourthDimContrib | ( |  | ) | `[inline]`

Definition at line 16 of file FourthDimContrib.h.

DistGeom::FourthDimContrib::FourthDimContrib | ( | ForceFields::ForceField * | owner,
|  | unsigned int | idx,
|  | double | weight |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | owner | pointer to the owning ForceField
  | idx | the index of the atom to be considered
  | weight | (optional) the weight to be used for this contrib

Definition at line 25 of file FourthDimContrib.h.

References ForceFields::ForceField::dimension(), ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

## Member Function Documentation

double DistGeom::FourthDimContrib::getEnergy | ( | double * | pos | ) | const`[inline, virtual]`

return the contribution of this contrib to the energy of a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 33 of file FourthDimContrib.h.

References ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

void DistGeom::FourthDimContrib::getGrad | ( | double * | pos,
|  | double * | grad |
| ) |  |  | const`[inline, virtual]`

calculate the contribution of this contrib to the gradient at a given state

Implements ForceFields::ForceFieldContrib.

Definition at line 42 of file FourthDimContrib.h.

References ForceFields::ForceFieldContrib::dp_forceField, and PRECONDITION.

The documentation for this class was generated from the following file:

- FourthDimContrib.h